Backups and archives
Returns a paginated list of backup and archive jobs with customizable page size. You can also select backup/archive types, date range, order, and sort field.
Bearer <access_token>
Search term (max 80)
Number of page (min 1)
1Limit of entities per page (min 1, max 2000)
502020-01-01T00:00:00.000Z2026-05-20T09:00:43.285ZjobIdValores possíveis: DESCValores possíveis: Returns a paginated list of Backups & Archives
Total number of entities.
1Incorrect request data is provided. For example, startedDate isn't a valid ISO 8601 date string
Connection not found
GET /api/v1/connections/{connectionId}/backups?page=1&limit=1&types=full&statuses=In+Progress HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"total": 1,
"items": [
{
"id": 1,
"name": "My backup",
"jobId": 1,
"jobStatus": "In Progress",
"startedDate": "2026-01-01T00:00:00.000Z",
"duration": "text",
"size": 1,
"records": 1,
"operationType": "Templated Archive"
}
]
}Creates a backup job. You must use one of the supported backup types: full or template. The templateId parameter is optional and should only be provided for template backups
Bearer <access_token>
Backup or archive name.
My backupThis is my backupfullValores possíveis: Invalid request data provided. Examples: unsupported mode selected, or numeric values in name/description fields
Connection not found
Backup job is already running. You must abort it or wait for it to finish before creating another
POST /api/v1/connections/{connectionId}/backups/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335
{
"name": "My backup",
"description": "This is my backup",
"settings": {
"isIncludeMetadata": true,
"isIncludeBinaryObjects": true,
"isIncludeBigObjects": true,
"isIncludeFeedObjects": true,
"isIncludeShareObjects": true,
"isIncludeHistoryObjects": true,
"isIncludeCustomMetadataTypeObjects": true,
"isIncludeTagObjects": true,
"templateId": 1
},
"mode": "full"
}{
"message": "text"
}Atualizado
Isto foi útil?